Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance
Class AbstractProcessInstanceFactory

    java.lang.Object
      org.jbpm.process.instance.AbstractProcessInstanceFactory

All Implemented Interfaces:
  ProcessInstanceFactory

Direct Known Subclasses:
  RuleFlowProcessInstanceFactory

    public abstract class AbstractProcessInstanceFactory

extends Object
implements ProcessInstanceFactory

Constructor Summary
`AbstractProcessInstanceFactory()`

Method Summary
`abstract ProcessInstance` | `createProcessInstance()`
`ProcessInstance` | `createProcessInstance(Process process, org.kie.internal.process.CorrelationKey correlationKey, org.drools.core.common.InternalKnowledgeRuntime kruntime, Map<String,Object> parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractProcessInstanceFactory

    public AbstractProcessInstanceFactory()

Method Detail

### createProcessInstance

    public ProcessInstance createProcessInstance(Process process,
                                                 org.kie.internal.process.CorrelationKey correlationKey,
                                                 org.drools.core.common.InternalKnowledgeRuntime kruntime,
                                                 Map<String,Object> parameters)

  Specified by:
    `createProcessInstance` in interface `ProcessInstanceFactory`

### createProcessInstance

    public abstract ProcessInstance createProcessInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.